[Asus A8V-E DELUXE] ehci_hcd fatal error - USB devices randomly crash

Bug #795626 reported by Rena Kunisaki on 2011-06-10
76
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned
Quantal
Medium
Unassigned

Bug Description

At seemingly random times (twice in the past week) all USB devices connected to the system suddenly stop working. /var/log/kern.log shows errors from ehci_hcd, then usually several filesystem I/O errors from the USB hard disk. After this USB devices may automatically reconnect as USB 1.1 or may not work until the machine is rebooted.

In one case I came home to find my USB mouse powered off, and messages like "host controller halted, very bad" in kern.log. USB hard disk was also inaccessible (I/O errors) and appeared to have locked up (constant blinking LED). After rebooting and plugging in my phone to a powered hub there were messages complaining about "insufficient available bus power", which doesn't sound like it makes a lot of sense (shouldn't the powered hub and the phone's battery be enough?).

While browsing the web today again the controller crashed producing the messages shown in dmesg; in this case the devices reconnected as USB 1.1 and the hard disk is still partially accessible (some files can be read, others give I/O errors). The mouse kept working during this time. After the crash I disconnected and reconnected a few USB devices to see if anything else would happen, but it looks like ehci has already been unloaded.

(Errors about "unknown partition table" happen because the drive is encrypted with Truecrypt.)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: rena 2296 F.... xfce4-volumed
                      rena 2297 F.... pulseaudio
                      rena 2358 F.... xfce4-mixer-plu
                      rena 4585 F.... conky
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'V8237'/'VIA 8237 with ALC850 at 0xe000, irq 22'
   Mixer name : 'Realtek ALC850 rev 0'
   Components : 'AC97a:414c4790'
   Controls : 49
   Simple ctrls : 30
Card1.Amixer.info:
 Card hw:1 'UART'/'MPU-401 UART at 0x330, irq 10'
   Mixer name : ''
   Components : ''
   Controls : 0
   Simple ctrls : 0
Card1.Amixer.values:

Date: Fri Jun 10 09:48:31 2011
HibernationDevice: RESUME=UUID=7cfe4512-f242-4390-9add-209eb5461f98
InstallationMedia: Xubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426.1)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System name
ProcEnviron:
 LANGUAGE=en_CA:en
 PATH=(custom, no user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-8-generic root=/dev/mapper/hostname-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/24/2005
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS A8V-E DELUXE ACPI BIOS Revision 1008
dmi.board.name: A8V-E DELUXE
dmi.board.vendor: ASUSTek Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: ASUS
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSA8V-EDELUXEACPIBIOSRevision1008:bd06/24/2005:svnSystemmanufacturer:pnSystemname:pvr1.XX:rvnASUSTekComputerINC.:rnA8V-EDELUXE:rvr1.XX:cvnASUS:ct3:cvrChassisVersion:
dmi.product.name: System name
dmi.product.version: 1.XX
dmi.sys.vendor: System manufacturer

Rena Kunisaki (i-am-inuyasha) wrote :
Brad Figg (brad-figg) on 2011-06-10
Changed in linux (Ubuntu):
status: New → Confirmed
Rena Kunisaki (i-am-inuyasha) wrote :

Just randomly got the total USB failure again. CPU usage was high (running grep); maybe some correlation?

[131274.056314] uhci_hcd 0000:00:10.3: host system error, PCI problems?
[131274.056320] uhci_hcd 0000:00:10.3: host controller halted, very bad!
[131274.056337] uhci_hcd 0000:00:10.3: HC died; cleaning up
[131274.056376] usb 5-1: USB disconnect, address 2
[131274.060471] usb 5-2: USB disconnect, address 6
[131274.060475] usb 5-2.1: USB disconnect, address 7
[131274.060569] usb 5-2.2: USB disconnect, address 8
[131383.290058] usb 4-2: USB disconnect, address 7
[131383.290064] usb 4-2.2: USB disconnect, address 8

USB mouse shut down entirely at this time and would only work again by plugging it into a USB 1.1 hub (instead of directly into the USB 2.0 port it had been in).

Ming Lei (tom-leiming) wrote :

From lsusb.txt, no any usb 2.0 root hub devices are found at all, so how can you say it is
a ehci_hcd fatal error?

Seems it is a uhci_hcd issue.

Could you paste out all dmesg info after the uhci issue happened.

Rena Kunisaki (i-am-inuyasha) wrote :

The report was filed after the error occurred, so USB 2.0 devices had already been shut down. The crash in comment #2 followed shortly after. Notice in dmesg.txt:
[122397.871035] ehci_hcd 0000:00:10.4: fatal error

Attached is output from "sudo lsusb -v" after a fresh boot when USB devices are functioning correctly. (Same configuration except that the cell phone is no longer connected.)

Rena Kunisaki (i-am-inuyasha) wrote :
Ming Lei (tom-leiming) wrote :

I saw this message now:

[122397.871035] ehci_hcd 0000:00:10.4: fatal error
[122397.872856] ehci_hcd 0000:00:10.4: force halt; handshake ffffc9000018e014 00004000 00004000 -> -110
[122397.872864] ehci_hcd 0000:00:10.4: HC died; cleaning up

Looks like a PCI error, from 2.3.2 of ehci spec 1.0, maybe you should trace some pci/e controler
info to troubleshoot the issue.

sergiomb (sergio-sergiomb) wrote :

I this is quite recently isn't it ? just with kernel > kernel-2.6.38.7 ,
I think I got a kernel-2.6.38.6-27.fc15.x86_64 with this problem .

Rena Kunisaki (i-am-inuyasha) wrote :

I'm not sure how I'd trace the controller info, but I haven't seen this since moving my mouse to a USB 1.0 hub. Might be coincidence.

sergiomb (sergio-sergiomb) wrote :

Sorry I have o correct my comment
just with kernel >= (or equal to) kernel-2.6.38.7

Ming Lei (tom-leiming) wrote :

Looks like very similar with issues, in which full speed/low speed devices connected into highspeed bus
from usb 2.0 hs hub.

Could you connect your two low speed devices into root hub(PC) directly instead of external usb 2.0 hub to
see if the problem can be reproduced?

See the two devices from dmesg.txt

[ 1.790315] usb 1-6.2: new low speed USB device using ehci_hcd and address 6
...
[ 1.981337] input: GreenAsia Inc. USB Joystick as /devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.2/1-6.2:1.0/input/input3
...
[ 1.990370] usb 1-6.3: new low speed USB device using ehci_hcd and address 7
[ 2.110121] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.3/1-6.3:1.0/input/input4

Before, the similar issue in the below link was reported and was fixed:

      http://marc.info/?t=126991014600001&r=1&w=2

Rena Kunisaki (i-am-inuyasha) wrote :

I haven't tried directly connecting (will do that now), but I just got again a total freakout, where I could actually see my mouse flickering on and off every second. Wondering if this could be line noise or something caused by running cables too near speakers or power lines?

Rena Kunisaki (i-am-inuyasha) wrote :

Forgot the log files...

Rena Kunisaki (i-am-inuyasha) wrote :

HyperHacker,

From your log of ‘kern.log’ in #13, we can find:

- power is insufficient(usb HD. is very power consumptive) in port 8
of root-hub[2], which may cause the endless disconnect&connect
of devices 1-8, 1-8.1 and 1-8.2.

- port 2 of external hub 1-6 is disabled by hub and
mistaken configuration count which is read from device, which may
be caused by the bad cable or the bad hub.

[1], about devices plugged into external hub 1-6
Jul 31 23:54:37 akira kernel: [812872.280380] hub 1-6:1.0: port 2
disabled by hub (EMI?), re-enabling...
Jul 31 23:54:37 akira kernel: [812872.280625] usb 1-6.2: USB
disconnect, address 6
Jul 31 23:54:37 akira kernel: [812872.520314] usb 1-6.2: new low speed
USB device using ehci_hcd and address 57
Jul 31 23:54:37 akira kernel: [812872.630694] usb 1-6.2: no configurations
Jul 31 23:54:37 akira kernel: [812872.630703] usb 1-6.2: can't read
configurations, error -22
Jul 31 23:54:37 akira kernel: [812872.720342] usb 1-6.2: new low speed
USB device using ehci_hcd and address 58
......
Aug 4 01:30:24 akira kernel: [1077818.997240] usb 1-6.3: USB
disconnect, address 7
Aug 4 01:30:24 akira kernel: [1077819.230291] usb 1-6.3: new low
speed USB device using ehci_hcd and address 70
Aug 4 01:30:24 akira kernel: [1077819.350355] input: Logitech
USB-PS/2 Optical Mouse as
/devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.3/1-6.3:1.0/input/input6

[2] about devices plugged into external hub 1-8
Aug 5 09:24:07 akira kernel: [1192642.160554] usb 1-8: USB
disconnect, address 60
Aug 5 09:24:07 akira kernel: [1192642.160561] usb 1-8.1: USB
disconnect, address 61
Aug 5 09:24:07 akira kernel: [1192642.160801] usb 1-8.2: USB
disconnect, address 75
Aug 5 09:24:07 akira kernel: [1192642.480041] usb 1-8: new high speed
USB device using ehci_hcd and address 103
Aug 5 09:24:07 akira kernel: [1192642.632121] hub 1-8:1.0: USB hub found
Aug 5 09:24:07 akira kernel: [1192642.632465] hub 1-8:1.0: 4 ports detected
Aug 5 09:24:07 akira kernel: [1192642.910269] usb 1-8.1: new high
speed USB device using ehci_hcd and address 104
Aug 5 09:24:08 akira kernel: [1192643.021821] hub 1-8.1:1.0: USB hub found
Aug 5 09:24:08 akira kernel: [1192643.022134] hub 1-8.1:1.0: 4 ports detected
Aug 5 09:24:08 akira kernel: [1192643.100297] usb 1-8.2: new high
speed USB device using ehci_hcd and address 105
Aug 5 09:24:08 akira kernel: [1192643.211086] usb 1-8.2: rejected 1
configuration due to insufficient available bus power
Aug 5 09:24:08 akira kernel: [1192643.211094] usb 1-8.2: no
configuration chosen from 1 choice
Aug 5 11:05:25 akira kernel: [1198720.671418] usb 1-8.2: USB
disconnect, address 105
Aug 5 11:27:23 akira kernel: [1200038.200262] usb 1-8.2: new high
speed USB device using ehci_hcd and address 106
Aug 5 11:27:23 akira kernel: [1200038.311061] usb 1-8.2: rejected 1
configuration due to insufficient available bus power
Aug 5 11:27:23 akira kernel: [1200038.311069] usb 1-8.2: no
configuration chosen from 1 choice

Ahh, so this may be a faulty hub or port? I've removed the hub, so I'll see what happens now... I saw the "insufficient bus power" before when connecting things to a powered hub, which didn't seem to make much sense...

Daniel van Vugt (vanvugt) wrote :

This has happened to me many times too. Most recently today with Ubuntu 11.04 (Linux phoebe 2.6.38-11-generic #50-Ubuntu SMP Mon Sep 12 21:17:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux)

[80630.199115] ehci_hcd 0000:00:1d.0: fatal error
[80630.202977] ehci_hcd 0000:00:1d.0: HC died; cleaning up
[80630.202990] usb 2-1: USB disconnect, address 2
[80630.202992] usb 2-1.3: USB disconnect, address 3
[80630.202993] dvb-usb: error while stopping stream.
[80630.205650] ehci_hcd 0000:00:1d.0: force halt; handshake ffffc90000678024 00004000 00004000 -> -110
[80630.205651] ehci_hcd 0000:00:1d.0: HC died; cleaning up
[80631.225091] dvb-usb: Sony PlayTV successfully deinitialized and disconnected.
[80631.225153] usb 2-1.4: USB disconnect, address 12
[80631.225155] usb 2-1.4.1: USB disconnect, address 13
[80631.225157] usb 2-1.4.1.1: USB disconnect, address 14
[80631.335342] usb 2-1.4.1.2: USB disconnect, address 15

All my USB ports stop working and I need to cold boot to get them back.

I _was_ running my mouse through the hub in my monitor. Now I've removed it from the hub, and will test with nothing running off the hub. Failing that, I will unplug the hub. It would be a shame, because the hub worked perfectly for years on older machines with earlier Ubuntu versions.

Daniel van Vugt (vanvugt) wrote :

Come to think of it, the trigger could be the PlayTV I have had plugged in for a few months.

Daniel van Vugt (vanvugt) wrote :

This continued happening to me in Ubuntu 11.10 (kernel 3.0). However now I've upgraded to kernel 3.1, everything is stable so far (fingers crossed).

Daniel van Vugt (vanvugt) wrote :

And it's still happening in kernel 3.1. Logs attached.

Now I'm going to try a separate USB controller card. Maybe it can solve the power problem, if that is the problem.

Hi Daniel,

On Sun, Nov 13, 2011 at 10:12 PM, Daniel van Vugt <email address hidden> wrote:
> And it's still happening in kernel 3.1. Logs attached.

Looks like ehci controller has DMA-read a invalid zero address
from the below lines:

 [94596.962587] DRHD: handling fault status reg 2
 [94596.962592] DMAR:[DMA Read] Request device [00:1d.0] fault addr 0
 [94596.962593] DMAR:[fault reason 06] PTE Read access is not set

then which caused ehci host controller to stop working.

Generally speaking, DMA address of transfer buffer is from usb interface
driver if flag URB_NO_TRANSFER_DMA_MAP is set. Considered that you
said it may be triggered by your PlayTV usb device, please apply the
attchment debug patch to see if something insane can be dumped out.

If you can't build kernel, please let me know and I will upload a
built kernel image for you.

thanks,
--
Ming Lei

tags: added: patch
tags: removed: patch

I'm now running a kernel 3.1.1 with the patch applied...

Daniel van Vugt (vanvugt) wrote :

That was no good. I had to remove ehci-bad-transfer_dma.patch because it was spamming me with messages (false positives) all the time, even when nothing had failed.

I will hack a similar message into a more appropriate place (near "HC died; cleaning up") soon...

Daniel van Vugt (vanvugt) wrote :

Finally reproduced the bug and got a stack from the kernel. See attached.

Daniel van Vugt (vanvugt) wrote :

I read somewhere that these errors might be caused (in some cases) by the kernel option intel_iommu=on. I have Intel IOMMU support enabled for PCI device assignment in KVM, and would prefer to not have to disable it...

On Sat, Nov 19, 2011 at 12:22 PM, Daniel van Vugt <email address hidden> wrote:
> Finally reproduced the bug and got a stack from the kernel. See
> attached.

Have you applied the patch I posted out before?

thanks,

See comment #22. I had to remove your patch because it was regularly filling my kernel log with stack traces not related to the bug. Too many false positives.

Were the stacks in comment #23 not enough?

If you have another idea for better debug info that won't have so many false positives then I'm happy to try it...

Chito Tuason (chitotuason) wrote :

I am experiencing the same problem on MSI U270.

[ 67.628309] usb 1-1: new high speed USB device number 4 using ehci_hcd
[ 68.062136] usbcore: registered new interface driver uas
[ 68.082139] Initializing USB Mass Storage driver...
[ 68.082788] scsi7 : usb-storage 1-1:1.0
[ 68.082956] usbcore: registered new interface driver usb-storage
[ 68.082960] USB Mass Storage support registered.
[ 69.086817] scsi 7:0:0:0: Direct-Access USB 2.0 Flash Disk 0.00 PQ: 0 ANSI: 2
[ 69.087102] scsi: killing requests for dead queue
[ 69.092690] scsi: killing requests for dead queue
[ 69.108587] scsi: killing requests for dead queue
[ 69.120688] scsi: killing requests for dead queue
[ 69.121119] scsi: killing requests for dead queue
[ 69.125001] scsi: killing requests for dead queue
[ 69.125435] scsi: killing requests for dead queue
[ 69.129002] scsi: killing requests for dead queue
[ 69.129645] sd 7:0:0:0: Attached scsi generic sg2 type 0
[ 69.134487] sd 7:0:0:0: [sdc] 3948543 512-byte logical blocks: (2.02 GB/1.88 GiB)
[ 69.135105] sd 7:0:0:0: [sdc] Write Protect is off
[ 69.135113] sd 7:0:0:0: [sdc] Mode Sense: 00 00 00 00
[ 69.135936] sd 7:0:0:0: [sdc] Asking for cache data failed
[ 69.135944] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 69.146022] sd 7:0:0:0: [sdc] Asking for cache data failed
[ 69.146040] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 69.256984] sdc: sdc1
[ 69.260342] sd 7:0:0:0: [sdc] Asking for cache data failed
[ 69.260353] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 69.260359] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[ 121.207378] ehci_hcd 0000:00:12.2: force halt; handshake f8416024 00004000 00000000 -> -110
[ 121.207393] ehci_hcd 0000:00:12.2: HC died; cleaning up
[ 121.207448] usb 1-1: USB disconnect, device number 4
[ 121.268217] sd 7:0:0:0: [sdc] Unhandled error code
[ 121.268231] sd 7:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[ 121.268245] sd 7:0:0:0: [sdc] CDB: Write(10): 2a 00 00 00 1f 0a 00 00 f0 00
[ 121.268274] end_request: I/O error, dev sdc, sector 7946
[ 121.268422] sd 7:0:0:0: [sdc] Unhandled error code
[ 121.268430] sd 7:0:0:0: [sdc] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[ 121.268441] sd 7:0:0:0: [sdc] CDB: Write(10): 2a 00 00 00 1f fa 00 00 09 00
[ 121.268465] end_request: I/O error, dev sdc, sector 8186
[ 121.284483] scsi: killing requests for dead queue
[ 121.287285] usb 1-4: USB disconnect, device number 3
[ 121.312335] scsi: killing requests for dead queue

Christoph Roeder (brightdroid) wrote :

Same problem for me....

System Info: https://bugs.launchpad.net/bugs/747811 (may be related)
---
Jan 29 10:41:22 server kernel: [ 3449.955130] ehci_hcd 0000:00:1a.0: fatal error
Jan 29 10:41:22 server kernel: [ 3449.959056] ehci_hcd 0000:00:1a.0: HC died; cleaning up
Jan 29 10:41:22 server kernel: [ 3449.961010] ehci_hcd 0000:00:1a.0: force halt; handshake ffffc90001038024 00004000 00004000
-> -110
Jan 29 10:41:22 server kernel: [ 3449.961046] ehci_hcd 0000:00:1a.0: HC died; cleaning up
Jan 29 10:41:22 server kernel: [ 3449.961087] usb 1-1: USB disconnect, device number 2
Jan 29 10:41:22 server kernel: [ 3449.961089] usb 1-1.1: USB disconnect, device number 10
Jan 29 10:41:22 server kernel: [ 3449.961159] dvb-usb: recv bulk message failed: -108
Jan 29 10:41:22 server kernel: [ 3449.961206] dvb-usb: bulk message failed: -19 (9/0)
Jan 29 10:41:22 server kernel: [ 3449.961230] cinergyT2: cinergyt2_fe_set_frontend() Failed! err=-19
Jan 29 10:41:22 server kernel: [ 3449.961230]
Jan 29 10:41:22 server kernel: [ 3449.961268] dvb-usb: bulk message failed: -19 (2/0)
Jan 29 10:41:22 server kernel: [ 3449.961270] dvb-usb: error while stopping stream.
Jan 29 10:41:22 server kernel: [ 3449.982828] dvb-usb: bulk message failed: -19 (2/0)

like Chito Tuason I have MSI Wind U270 and I have the same problem on Arch x64:

[ 197.670269] usb 1-3: new high-speed USB device number 4 using ehci_hcd
[ 197.913263] usbcore: registered new interface driver uas
[ 197.929246] Initializing USB Mass Storage driver...
[ 197.929551] scsi7 : usb-storage 1-3:1.0
[ 197.929818] usbcore: registered new interface driver usb-storage
[ 197.929822] USB Mass Storage support registered.
[ 199.343995] scsi 7:0:0:0: Direct-Access JetFlash Transcend 8GB 1100 PQ: 0 ANSI: 0 CCS
[ 199.345686] sd 7:0:0:0: [sdc] 15826944 512-byte logical blocks: (8.10 GB/7.54 GiB)
[ 199.346525] sd 7:0:0:0: [sdc] Write Protect is off
[ 199.346538] sd 7:0:0:0: [sdc] Mode Sense: 43 00 00 00
[ 199.347368] sd 7:0:0:0: [sdc] No Caching mode page present
[ 199.347377] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 199.351994] sd 7:0:0:0: [sdc] No Caching mode page present
[ 199.352005] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 199.353464] sdc: sdc1
[ 199.357526] sd 7:0:0:0: [sdc] No Caching mode page present
[ 199.357535] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 199.357542] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[ 228.926361] ehci_hcd 0000:00:12.2: force halt; handshake ffffc90000c1e024 00004000 00000000 -> -110
[ 228.926371] ehci_hcd 0000:00:12.2: HC died; cleaning up
[ 228.926405] usb 1-3: USB disconnect, device number 4
[ 228.990104] sd 7:0:0:0: [sdc] Unhandled error code
[ 228.990113] sd 7:0:0:0: [sdc] Result: hostbyte=0x01 driverbyte=0x00
[ 228.990120] sd 7:0:0:0: [sdc] CDB: cdb[0]=0x2a: 2a 00 00 00 96 8e 00 00 f0 00
[ 228.990136] end_request: I/O error, dev sdc, sector 38542
[ 228.992426] sd 7:0:0:0: [sdc] Unhandled error code
[ 228.992435] sd 7:0:0:0: [sdc] Result: hostbyte=0x01 driverbyte=0x00
[ 228.992442] sd 7:0:0:0: [sdc] CDB: cdb[0]=0x2a: 2a 00 00 00 97 7e 00 00 f0 00
[ 228.992458] end_request: I/O error, dev sdc, sector 38782
[ 228.993004] FAT-fs (sdc1): unable to read inode block for updating (i_pos 494224)
[ 228.993275] FAT-fs (sdc1): bread failed in fat_clusters_flush
[ 228.995042] FAT-fs (sdc1): Directory bread(block 30888) failed
[ 228.995080] FAT-fs (sdc1): Directory bread(block 30889) failed
[ 229.037070] usb 1-4: USB disconnect, device number 3

Nevill (spb-nevill) wrote :

Same happened to me. I was using boinc-client at the time (high CPU usage).
Kubuntu 12.04
kernel 3.2.0-23-generic x86_64
Laptop Acer TRAVELMATE 5744-383G32Mikk

Apr 13 00:50:59 Nevill-Acer kernel: [ 7155.341189] usb 1-1.4: USB disconnect, device number 4
Apr 13 00:51:03 Nevill-Acer kernel: [ 7160.398485] hub 1-1:1.0: hub_port_status failed (err = -110)
Apr 13 00:51:03 Nevill-Acer kernel: [ 7160.398491] hub_port_connect_change: 24 callbacks suppressed
Apr 13 00:51:03 Nevill-Acer kernel: [ 7160.398495] hub 1-1:1.0: connect-debounce failed, port 4 disabled
Apr 13 00:52:06 Nevill-Acer kernel: [ 7222.917475] usb 1-1.5: USB disconnect, device number 5
Apr 13 00:52:15 Nevill-Acer kernel: [ 7232.380481] usb 1-1.6: new low-speed USB device number 8 using ehci_hcd
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.528160] ehci_hcd 0000:00:1a.0: fatal error
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.532089] ehci_hcd 0000:00:1a.0: HC died; cleaning up
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.535051] ehci_hcd 0000:00:1a.0: force halt; handshake ffffc90000666024 00004000 00004000 -> -110
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.535057] ehci_hcd 0000:00:1a.0: HC died; cleaning up
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544070] usb 1-1.6: device descriptor read/all, error -108
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544126] hub 1-1:1.0: cannot disable port 6 (err = -19)
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544135] hub 1-1:1.0: cannot reset port 6 (err = -19)
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544141] hub 1-1:1.0: cannot disable port 6 (err = -19)
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544147] hub 1-1:1.0: unable to enumerate USB device on port 6
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544152] hub 1-1:1.0: cannot disable port 6 (err = -19)
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.544164] usb 1-1.3: USB disconnect, device number 3
Apr 13 00:52:16 Nevill-Acer kernel: [ 7232.652567] usb 1-1: USB disconnect, device number 2

HyperHacker, thank you for reporting this and helping make Ubuntu better. This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Download full text (7.8 KiB)

Am having the same problem. New 12.04 install.
May 7 13:18:47 tm-Satellite-Pro-L300D kernel: [38993.982115] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:18:47 tm-Satellite-Pro-L300D kernel: [38993.984464] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:18:47 tm-Satellite-Pro-L300D kernel: [38993.984478] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:19:39 tm-Satellite-Pro-L300D kernel: [39045.685277] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:19:39 tm-Satellite-Pro-L300D kernel: [39045.687842] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:19:39 tm-Satellite-Pro-L300D kernel: [39045.687870] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:20:30 tm-Satellite-Pro-L300D kernel: [39097.397530] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:20:30 tm-Satellite-Pro-L300D kernel: [39097.399813] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:20:30 tm-Satellite-Pro-L300D kernel: [39097.399839] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:21:22 tm-Satellite-Pro-L300D kernel: [39149.114426] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:21:22 tm-Satellite-Pro-L300D kernel: [39149.124379] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:21:22 tm-Satellite-Pro-L300D kernel: [39149.124407] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:22:14 tm-Satellite-Pro-L300D kernel: [39200.841174] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:22:14 tm-Satellite-Pro-L300D kernel: [39200.843211] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:22:14 tm-Satellite-Pro-L300D kernel: [39200.843229] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:23:05 tm-Satellite-Pro-L300D kernel: [39252.581373] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:23:05 tm-Satellite-Pro-L300D kernel: [39252.583578] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:23:05 tm-Satellite-Pro-L300D kernel: [39252.583591] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:23:57 tm-Satellite-Pro-L300D kernel: [39304.265220] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:23:57 tm-Satellite-Pro-L300D kernel: [39304.267371] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:23:57 tm-Satellite-Pro-L300D kernel: [39304.267390] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:24:49 tm-Satellite-Pro-L300D kernel: [39355.961299] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:24:49 tm-Satellite-Pro-L300D kernel: [39355.963679] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:24:49 tm-Satellite-Pro-L300D kernel: [39355.963691] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:25:41 tm-Satellite-Pro-L300D kernel: [39407.677036] sd 7:0:0:0: [sdc] Test WP failed, assume Write Enabled
May 7 13:25:41 tm-Satellite-Pro-L300D kernel: [39407.679388] sd 7:0:0:0: [sdc] Asking for cache data failed
May 7 13:25:41 tm-Satellite-Pro-L300D kernel: [39407.679401] sd 7:0:0:0: [sdc] Assuming drive cache: write through
May 7 13:26:32 tm-Satellite-Pro-L300D kernel: [39459.352923] sd 7:0:0:0: ...

Read more...

Thomas Majewski, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Christopher Penalever, I did execute the "ubuntu-bug linux" command and sent it however, I have no idea where it went.
I tried the method recommended by ubuntu ($ apport-collect -p linux <bug#> and it opens a "report a problem" window that doesn't seem to do anything except show a spinner which has been running for the past 90 minutes. I cannot find any reference to how to subscribe you to the report. I did discover that the kernel repors refer to my wireless card which identifies iteself as: Atheros Communications Inc. AR242x / AR542x Wireless Network Adapter (PCI-Express) (rev 01).

I'll be glad to help but need some tutoring.

Thomas Majewski, please try ubuntu-bug linux again. If it does not work, please file via https://bugs.launchpad.net/ubuntu/+source/linux/+filebug and feel free to subscribe me to it.

Thanks!

Christopher Penalver: The report is in bug 997429 and I subscribed you to it. Hope this helps.

John Anderson (sontek) wrote :

I also get this issue, I reported it on bug #1003046

Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: Incomplete → Triaged
tags: added: kernel-bug-fixed-upstream
removed: needs-upstream-testing
tags: added: precise quantal
Changed in linux (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
summary: - ehci_hcd fatal error - USB devices randomly crash
+ [Asus A8V-E DELUXE] ehci_hcd fatal error - USB devices randomly crash
tags: added: bios-outdated-1012

HyperHacker, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Changed in linux (Ubuntu):
status: Triaged → Incomplete

This bug was nominated against a series that is no longer supported, ie quantal. The bug task representing the quantal nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Quantal):
status: Triaged → Won't Fix
To post a comment you must log in.